body {
   font-family: Arial, sans-serif;
   background-color: #f3f4f6;
   margin: 0;
   padding: 20px;
}

header {
   background: #2f2f2f;
   color: #f0f0f0;
   max-width: 750px;
   margin: auto;
   padding: 10px 20px;
}

nav ul {
   list-style: none;
   padding: 0;
   display: flex;
   margin-right: 20px;
}

nav ul li a {
   color: #ffffff;
   transition: color 0.3s ease;
   margin-right: 20px;
   text-decoration: none;
   font-weight: bold;
}

nav ul li a:hover {
   color: #007bff;
}

main {
   background: #ffffff;
   border-radius: 5px;
   padding: 20px;
   max-width: 750px;
   margin: auto;
   box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
}

fieldset {
   border: 2px solid #88a77b;
   padding: 20px;
   max-width: 750px;
   margin: auto;
   border-radius: 5px;
}

legend {
   font-size: 1.5em;
   color: #2f2f2f;
   font-weight: bold;
}

label {
   display: block;
   margin: 10px 0 5px;
   font-weight: bold;
   color: #2f2f2f;
}

input[type='text'],
input[type='radio'] {
   padding: 10px;
   border: 1px solid #777777;
   border-radius: 5px;
   width: 95%;
   color: #333333;
}

input[type='radio'] {
   width: auto;
}

button {
   background: #5f7a4c;
   color: #ffffff;
   border: none;
   padding: 10px 20px;
   border-radius: 5px;
   cursor: pointer;
   margin-right: 10px;
   font-weight: bold;
}

button:hover {
   background: #d4e3cc;
   color: #333333;
}

.Output {
   margin-top: 20px;
   padding: 10px;
   border-radius: 8px;
   background: #e0e0e0;
   border: 5px solid #2f2f2f;
   color: #2f2f2f;
}

footer {
   background-color: #2f2f2f;
   color: #f0f0f0;
   padding: 10px;
   text-align: center;
   max-width: 750px;
   margin: 20px auto 0;
   font-weight: bold;
}
